pam_strerror(3)

NAME
pam_strerror - get PAM error message string

SYNOPSIS

cc [ flag ... ] file ... -lpam [ library ... ]

#include <security/pam_appl.h>

const char *pam_strerror(pam_handle_t*pamh, int errnum);

DESCRIPTION
pam_strerror() maps the PAM error number in errnum to a PAM error message string, and returns a pointer to that string. The application should not free or modify the string returned.

The pamh argument is the PAM handle obtained by a prior call to pam_start(). If pam_start() returns an error, a NULL PAM handle should be passed.

ERRORS

pam_strerror() returns NULL if errnum is out-of-range.

SEE ALSO
pam(3), pam_start(3)